Package org.eclipse.birt.core.data

# Class ExpressionHelper

java.lang.Object
org.eclipse.birt.core.data.ExpressionHelper

public class ExpressionHelper extends Object
None-static version of `ExpressionParserUtility` , which caches parsed expressions and avoid repeat parsing the same expressions.

## Constructor Summary

Constructors
Constructor
Description
`ExpressionHelper()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`String`
`getColumnBindingName(String oldExpression)`
`String`
`getColumnName(String oldExpression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionHelper

public ExpressionHelper()

## Method Details

### getColumnName

public String getColumnName(String oldExpression) throws BirtException

Throws:
  `BirtException`

### getColumnBindingName

public String getColumnBindingName(String oldExpression) throws BirtException

Throws:
  `BirtException`

### close

public void close()